= form_for [@group, @protected_environment], html: { class: 'new-protected-environment js-new-protected-environment' } do |f|
  .card
    .card-header
      %h3.card-title
        = s_('ProtectedEnvironment|Protect an environment')
    .card-body
      = form_errors(@protected_environment, pajamas_alert: true)
      .form-group
        = f.label :name, s_('ProtectedEnvironment|Environment'), class: 'label-bold gl-display-block'
        .dropdown.b-dropdown.gl-new-dropdown.gl-min-w-20.btn-group
          = f.select :name, Environment.tiers.keys.map { |tier| [tier.to_s, tier] }, {}, class: 'dropdown-menu-toggle select-control'
          = sprite_icon('chevron-down', css_class: 'gl-absolute gl-top-3 gl-right-3 gl-text-gray-500')

      .form-group
        %label#allowed-users-label.label-bold.gl-display-block
          = s_('ProtectedEnvironment|Allowed to deploy')
        .js-allowed-to-deploy-dropdown

    .card-footer
      = f.submit s_('ProtectedEnvironment|Protect'), class: 'gl-button btn btn-confirm', disabled: true
